Description

Using a proxy causes the error:

An error occurred when attempting to communicate with the proxy

Traceback (most recent call last):

  File "/opt/splunk/shared/etc/apps/website_monitoring/bin/web_ping.py", line 255, in ping

    response, content = http.request(url.geturl(), 'GET')

  File "/opt/splunk/lib/python2.7/site-packages/httplib2/__init__.py", line 1421, in request

    (response, content) = self._request(conn, authority, uri, request_uri, method, body, headers, 

redirections, cachekey)

  File "/opt/splunk/lib/python2.7/site-packages/httplib2/__init__.py", line 1171, in _request

    (response, content) = self._conn_request(conn, request_uri, method, body, headers)

  File "/opt/splunk/lib/python2.7/site-packages/httplib2/__init__.py", line 1122, in _conn_request

    conn.connect()

  File "/opt/splunk/lib/python2.7/site-packages/httplib2/__init__.py", line 887, in connect

    sock.connect((self.host, self.port))

  File "/opt/splunk/lib/python2.7/site-packages/httplib2/socks.py", line 360, in connect

    raise GeneralProxyError((5, _generalerrors[5]))

GeneralProxyError: (5, 'bad input')

 

See http://answers.splunk.com/answers/121798/website-monitoring-app-generating-python-error-when-using-http-proxy

History

#1 - 02/11/2014 01:16 AM - Luke Murphey

This looks like this problem: https://code.google.com/p/httplib2/issues/detail?id=179

Might be avoidable by ensuring the input is a plain string, not Unicode.

#2 - 02/11/2014 01:17 AM - Luke Murphey

Here is a diff of the changes to sock.py: 

https://code.google.com/p/httplib2/source/diff?spec=svn9ae3ddb265d4ec127e5458e1176420542ccf63ab&r=9ae3ddb265d4ec127e5458e117642054

2ccf63ab&format=side&path=/python2/httplib2/socks.py

#3 - 02/11/2014 02:41 AM - Luke Murphey

I cannot reproduce the error. I tried:

1. Forcing the URL to unicode: response, content = http.request( unicode(url.geturl()), 'GET')

2. Using a unicode URL (http://LukeMurphey.net/Tree_ασ)

3. Using a unicode domain name (causes an error but not the error that the user observed)
#4 - 02/11/2014 02:50 AM - Luke Murphey

- Status changed from New to In Progress

#5 - 07/23/2014 09:34 PM - Luke Murphey

- Status changed from In Progress to Closed

#6 - 05/25/2016 09:11 PM - Luke Murphey

I have seen this happen when SSL is used but not when plain text is used.
